/**
 * @file Importe la configuration du LDAP au sein de l'application, et remplace certaines valeurs en fonction des variables d'environnement.
 * @author manifold
 */

import fs from 'fs';
import colors from 'colors';
// Point central ; tous les champs de la BDD sont 'cachés' dans config.json et pas visibles directement
console.log(colors.cyan("Loading LDAP config file from config.json"));
console.log(colors.cyan("Loading LDAP credentials from connexion_config.json"));
export const config = JSON.parse(fs.readFileSync('config.json').toString());
export const credentialsConfig = JSON.parse(fs.readFileSync('connexion_config.json').toString());
// Override config server from environment
if (process.env.LDAP_URI != null) {
    config.ldap.server = process.env.LDAP_URI;
}